<?php
/*
* @package bp-post-status
*
* Adding Shortcode to display group posts on any page
*
* Since 1.4.4
*/

if ( !defined( 'ABSPATH' ) ) exit;

    class BPPSS_Shortcodes {

		var $not_valid_group;
		var $no_groups;
	
        function __construct(){
			$this->not_valid_group = esc_textarea( esc_attr__( 'Group not found', 'bp-post-status' ) );
			$this->no_groups = esc_textarea( esc_attr__( 'BuddyPress Groups not active', 'bp-post-status' ) );
			add_shortcode('bppss_group_posts', array($this,'bppss_bp_group_posts'));
        }

		function bppss_bp_group_posts( $atts ) {
			
			$current_group = 0;
            
			$atts = shortcode_atts(array(
                'group_id'			=> $current_group,
            ),$atts);
			
			if ($atts['group_id'] == 0 || $atts['group_id'] == '' ) { return $this->not_valid_group; }
			global $bpps_shortcode_group;
			$bpps_shortcode_group = $atts['group_id'];
			ob_start();
			bpps_load_template( 'shortcode-posts.php' );
			$content = ob_get_clean();
			return $content;
		}
		
    }


if ( class_exists( 'BPPSS_Shortcodes' ) ) {
	
	$shortcodes = new BPPSS_Shortcodes();
	
}

?>